/*
 * Interface to an implementation of an interactive theorem prover.
 */

sig  inter.

accum_sig  hyll, atom, hyllprf, goaltypes, hyllgoal, hylltac, goalred,
           tacticals, hylltac, examples, listmanip.

exportdef   p_inter		sname -> (int -> prf) -> (int -> goal) -> o.
exportdef   p	      		sname -> (int -> goal) -> (int -> prf) -> o.

exportdef   p1	      		(int -> goal) -> (int -> prf) -> o.
exportdef   p1a	      		(int -> goal) -> (int -> prf) -> o.
exportdef   p1b	      		(int -> goal) -> (int -> prf) -> o.
exportdef   p2	      		(int -> goal) -> (int -> prf) -> o.

exportdef   continue_proof	string -> goal -> goal -> o.

exportdef   inter_top	        sname -> prf -> goal -> o.
exportdef   inter	        goal -> goal -> o.
exportdef   do                  o -> goal -> goal -> o.
exportdef   quitg	        goal -> goal -> o.
exportdef   backup              goal -> goal -> o.

exportdef   get_all_tacs    	string -> list (goal -> goal -> o) -> o.

exportdef   write_proof		prf -> judg -> string -> o.
exportdef   proof_to_Coq_string	prf -> judg -> string -> o.
exportdef   test_write      string -> o.
